# Plugin bigform
> plugin proposant un formulaire CVT pour le plugin bigup

## Usage 1 : en formulaire autonome (comme html5_upload)

```html
#FORMULAIRE_BIGFORM{objet, id_objet, mode, args}
```

## Usage 2 : en inclure dans un formulaire
> Ajoute dynamiquement un champ **titre** pour chaque image
1. dans le formulaire html:
```html
<INCLURE{fond=inclure/bigform,env}>
```
cet inclure peut accepter 3 arguments facultatifs :
* `accept=#LISTE{image/*, application/pdf}` ou `accept="image/*"` par défaut tous les fichiers
* `previsualiser=non` (par défaut = oui)
* `multiple=non` (par défaut = oui)

2. dans le formulaire php
```php
// dans le charger :
$valeurs['_bigup_rechercher_fichiers'] = true;

// dans le verifier
// Pour les options :
// https://contrib.spip.net/References-des-verifications#verification_fichiers
// https://git.spip.net/plugin/verifier/src/branch/master/verifier/fichiers.php
$bigform = charger_fonction('bigform_verifier','inc');
$options = ['mime' => 'image_web'];
$bigform($options,$erreurs);

// dans le traiter
$bigform = charger_fonction('bigform_traiter','inc');
$bigform($id_objet, $objet);
```
> **ATTENTION**
> Il faut ajouter les vérifications pour les différents types de fichiers
